<?php

namespace App\Observers\Environment;

use App\Models\Environment\Business;

class BusinessObserver
{
    public function deleting(Business $business): void
    {
        // Avoid Delete default Business
        if (in_array($business->id, [1]))
            throw new \Exception("Default business cannot be Deleted.");
    }
}
